Gentoo Archives: gentoo-commits

From: "Andreas K. Hüttel" <dilfridge@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/glibc/
Date: Sat, 29 Jan 2022 16:07:43
Message-Id: 1643472448.851fead9d22cb53d4fa374fa442b2cc04ff2a6dd.dilfridge@gentoo
1 commit: 851fead9d22cb53d4fa374fa442b2cc04ff2a6dd
2 Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
3 AuthorDate: Sat Jan 29 16:06:52 2022 +0000
4 Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
5 CommitDate: Sat Jan 29 16:07:28 2022 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=851fead9
7
8 sys-libs/glibc: drop outdated checks for __thread support
9
10 Package-Manager: Portage-3.0.30, Repoman-3.0.3
11 Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
12
13 sys-libs/glibc/glibc-2.33-r10.ebuild | 35 -----------------------------------
14 sys-libs/glibc/glibc-2.34-r7.ebuild | 35 -----------------------------------
15 sys-libs/glibc/glibc-9999.ebuild | 35 -----------------------------------
16 3 files changed, 105 deletions(-)
17
18 diff --git a/sys-libs/glibc/glibc-2.33-r10.ebuild b/sys-libs/glibc/glibc-2.33-r10.ebuild
19 index ada616094f9c..89ce950797d6 100644
20 --- a/sys-libs/glibc/glibc-2.33-r10.ebuild
21 +++ b/sys-libs/glibc/glibc-2.33-r10.ebuild
22 @@ -438,33 +438,6 @@ setup_flags() {
23 filter-flags '-fstack-protector*'
24 }
25
26 -want_tls() {
27 - # Archs that can use TLS (Thread Local Storage)
28 - case $(tc-arch) in
29 - x86)
30 - # requires i486 or better #106556
31 - [[ ${CTARGET} == i[4567]86* ]] && return 0
32 - return 1
33 - ;;
34 - esac
35 - return 0
36 -}
37 -
38 -want__thread() {
39 - want_tls || return 1
40 -
41 - # For some reason --with-tls --with__thread is causing segfaults on sparc32.
42 - [[ ${PROFILE_ARCH} == "sparc" ]] && return 1
43 -
44 - [[ -n ${WANT__THREAD} ]] && return ${WANT__THREAD}
45 -
46 - # only test gcc -- can't test linking yet
47 - tc-has-tls -c ${CTARGET}
48 - WANT__THREAD=$?
49 -
50 - return ${WANT__THREAD}
51 -}
52 -
53 use_multiarch() {
54 # Allow user to disable runtime arch detection in multilib.
55 use multiarch || return 1
56 @@ -783,14 +756,6 @@ sanity_prechecks() {
57
58 # When we actually have to compile something...
59 if ! just_headers && [[ ${MERGE_TYPE} != "binary" ]] ; then
60 - ebegin "Checking gcc for __thread support"
61 - if ! eend $(want__thread ; echo $?) ; then
62 - echo
63 - eerror "Could not find a gcc that supports the __thread directive!"
64 - eerror "Please update your binutils/gcc and try again."
65 - die "No __thread support in gcc!"
66 - fi
67 -
68 if [[ ${CTARGET} == *-linux* ]] ; then
69 local run_kv build_kv want_kv
70
71
72 diff --git a/sys-libs/glibc/glibc-2.34-r7.ebuild b/sys-libs/glibc/glibc-2.34-r7.ebuild
73 index a1ae8fcba23c..924a5a143215 100644
74 --- a/sys-libs/glibc/glibc-2.34-r7.ebuild
75 +++ b/sys-libs/glibc/glibc-2.34-r7.ebuild
76 @@ -450,33 +450,6 @@ setup_flags() {
77 filter-flags '-fstack-protector*'
78 }
79
80 -want_tls() {
81 - # Archs that can use TLS (Thread Local Storage)
82 - case $(tc-arch) in
83 - x86)
84 - # requires i486 or better #106556
85 - [[ ${CTARGET} == i[4567]86* ]] && return 0
86 - return 1
87 - ;;
88 - esac
89 - return 0
90 -}
91 -
92 -want__thread() {
93 - want_tls || return 1
94 -
95 - # For some reason --with-tls --with__thread is causing segfaults on sparc32.
96 - [[ ${PROFILE_ARCH} == "sparc" ]] && return 1
97 -
98 - [[ -n ${WANT__THREAD} ]] && return ${WANT__THREAD}
99 -
100 - # only test gcc -- can't test linking yet
101 - tc-has-tls -c ${CTARGET}
102 - WANT__THREAD=$?
103 -
104 - return ${WANT__THREAD}
105 -}
106 -
107 use_multiarch() {
108 # Allow user to disable runtime arch detection in multilib.
109 use multiarch || return 1
110 @@ -795,14 +768,6 @@ sanity_prechecks() {
111
112 # When we actually have to compile something...
113 if ! just_headers && [[ ${MERGE_TYPE} != "binary" ]] ; then
114 - ebegin "Checking gcc for __thread support"
115 - if ! eend $(want__thread ; echo $?) ; then
116 - echo
117 - eerror "Could not find a gcc that supports the __thread directive!"
118 - eerror "Please update your binutils/gcc and try again."
119 - die "No __thread support in gcc!"
120 - fi
121 -
122 if [[ ${CTARGET} == *-linux* ]] ; then
123 local run_kv build_kv want_kv
124
125
126 diff --git a/sys-libs/glibc/glibc-9999.ebuild b/sys-libs/glibc/glibc-9999.ebuild
127 index c026532e5353..f47aef2712e1 100644
128 --- a/sys-libs/glibc/glibc-9999.ebuild
129 +++ b/sys-libs/glibc/glibc-9999.ebuild
130 @@ -443,33 +443,6 @@ setup_flags() {
131 filter-flags '-fstack-protector*'
132 }
133
134 -want_tls() {
135 - # Archs that can use TLS (Thread Local Storage)
136 - case $(tc-arch) in
137 - x86)
138 - # requires i486 or better #106556
139 - [[ ${CTARGET} == i[4567]86* ]] && return 0
140 - return 1
141 - ;;
142 - esac
143 - return 0
144 -}
145 -
146 -want__thread() {
147 - want_tls || return 1
148 -
149 - # For some reason --with-tls --with__thread is causing segfaults on sparc32.
150 - [[ ${PROFILE_ARCH} == "sparc" ]] && return 1
151 -
152 - [[ -n ${WANT__THREAD} ]] && return ${WANT__THREAD}
153 -
154 - # only test gcc -- can't test linking yet
155 - tc-has-tls -c ${CTARGET}
156 - WANT__THREAD=$?
157 -
158 - return ${WANT__THREAD}
159 -}
160 -
161 use_multiarch() {
162 # Allow user to disable runtime arch detection in multilib.
163 use multiarch || return 1
164 @@ -788,14 +761,6 @@ sanity_prechecks() {
165
166 # When we actually have to compile something...
167 if ! just_headers && [[ ${MERGE_TYPE} != "binary" ]] ; then
168 - ebegin "Checking gcc for __thread support"
169 - if ! eend $(want__thread ; echo $?) ; then
170 - echo
171 - eerror "Could not find a gcc that supports the __thread directive!"
172 - eerror "Please update your binutils/gcc and try again."
173 - die "No __thread support in gcc!"
174 - fi
175 -
176 if [[ ${CTARGET} == *-linux* ]] ; then
177 local run_kv build_kv want_kv